"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isString = exports.assertIsString = void 0;
/**
 * Type assertion function to check if a value is a string or not.
 *
 * @throws {TypeError} if value is not a string
 *
 * @param value an unknown value
 */
function assertIsString(value) {
    if (typeof value !== "string") {
        throw new TypeError("Value is not a string");
    }
}
exports.assertIsString = assertIsString;
/**
 * Type predicate to check if a value is a string or not.
 *
 * @param value an unknown value
 * @returns true, if value is a string, false, if it is not
 */
function isString(value) {
    try {
        assertIsString(value);
        return true;
    }
    catch (_a) {
        return false;
    }
}
exports.isString = isString;
//# sourceMappingURL=String.js.map